<?php
/*
  只删除一篇文章
*/
  include_once('conn.php');//包含数据库配置
  if(!isset($_GET['newsId'])){//如果没有传过来的文章Id,显示错误
  	echo "<script>alert('非法访问');history.go(-1);</script>";
 	exit;
  }else{//否则进行处理
  	$newsId=$_GET['newsId'];//获得文章id
  	$sql="delete from news where newsid='".$newsId."'";//删除文章
  	if(mysql_query($sql)){//如果删除成功，显示信息
  		echo "<script>alert('删除成功');window.location.href='admin.php?act=viewNews';</script>";
 	    exit;
  	}else{//否则显示错误信息
  		echo "<script>alert('删除失败');window.location.href='admin.php?act=viewNews';</script>";
 	    exit;
  	}
  }
?>